## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# TraceListenerDefault Class Reference

Inheritance diagram for TraceListenerDefault:

[legend]
Collaboration diagram for TraceListenerDefault:

[legend]
List of all members.

## Public Member Functions

- TraceListenerDefault (PrintWriter &thePrintWriter, bool traceTemplates=false, bool traceElements=false, bool traceGeneration=false, bool traceSelection=false, MemoryManagerType &theManager XALAN_DEFAULT_MEMMGR)
- virtual ~TraceListenerDefault ()
- virtual void trace (const TracerEvent &ev)
    Method that is called when a trace event occurs.
- virtual void selected (const SelectionEvent &ev)
    Method that is called just after the formatter listener is called.
- virtual void generated (const GenerateEvent &ev)
    Method that is called just after the formatter listener is called.
- bool getTraceTemplates () const
- void setTraceTemplates (bool b)
- bool getTraceElement () const
- void setTraceElements (bool b)
- bool getTraceGeneration () const
- void setTraceGeneration (bool b)
- bool getTraceSelection () const
- void setTraceSelection (bool b)

## Constructor & Destructor Documentation

TraceListenerDefault::TraceListenerDefault | ( | PrintWriter & | thePrintWriter,
|  | bool | traceTemplates = false,
|  | bool | traceElements = false,
|  | bool | traceGeneration = false,
|  | bool | traceSelection = false,
|  | MemoryManagerType &theManager | XALAN_DEFAULT_MEMMGR
| ) |

virtual TraceListenerDefault::~TraceListenerDefault | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void TraceListenerDefault::generated | ( | const GenerateEvent & | ev | ) | `[virtual]`

  | Method that is called just after the formatter listener is called. Parameters:
  ev | generate event
Implements TraceListener.

bool TraceListenerDefault::getTraceElement | ( |  | ) | const

bool TraceListenerDefault::getTraceGeneration | ( |  | ) | const

bool TraceListenerDefault::getTraceSelection | ( |  | ) | const

bool TraceListenerDefault::getTraceTemplates | ( |  | ) | const

virtual void TraceListenerDefault::selected | ( | const SelectionEvent & | ev | ) | `[virtual]`

  | Method that is called just after the formatter listener is called. Parameters:
  ev | generate event
Implements TraceListener.

void TraceListenerDefault::setTraceElements | ( | bool | b | ) |

void TraceListenerDefault::setTraceGeneration | ( | bool | b | ) |

void TraceListenerDefault::setTraceSelection | ( | bool | b | ) |

void TraceListenerDefault::setTraceTemplates | ( | bool | b | ) |

virtual void TraceListenerDefault::trace | ( | const TracerEvent & | ev | ) | `[virtual]`

  | Method that is called when a trace event occurs. The method is blocking. It must return before processing continues. Parameters:
  ev | trace event
Implements TraceListener.

The documentation for this class was generated from the following file:

- TraceListenerDefault.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.